%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         miekg
%global repo            dns
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          bb1103f648f811d2018d4bedcb2d4b2bce34a0f1
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        DNS library in Go
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/idn) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav idn %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/idn

%files devel
%doc README.md LICENSE COPYRIGHT CONTRIBUTORS AUTHORS
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Sat May 09 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.gitbb1103f
- Bump to upstream bb1103f648f811d2018d4bedcb2d4b2bce34a0f1
  related: #1181105

* Mon Jan 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gita07be6b
- First package for Fedora
  resolves: #1181105

